Bug 971938 - QMP: Add error reason to BLOCK_IO_ERROR event
QMP: Add error reason to BLOCK_IO_ERROR event
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Laszlo Ersek
Virtualization Bugs
:
Depends On: 971933
Blocks: 895041 1026966
  Show dependency treegraph
 
Reported: 2013-06-07 11:52 EDT by Luiz Capitulino
Modified: 2014-07-07 05:32 EDT (History)
8 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-20.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1116772 (view as bug list)
Environment:
Last Closed: 2014-06-13 05:22:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luiz Capitulino 2013-06-07 11:52:58 EDT
This bz is about forward porting the following RHEL6 commit:

commit a635efd74e0968dd4402ba87679af3015930a8cb
Author: Luiz Capitulino <lcapitulino@redhat.com>
Date:   Fri May 14 22:49:20 2010 -0300

    QMP: Add error reason to BLOCK_IO_ERROR event

I'm not sure this is still used by vdsm though.
Comment 1 Laszlo Ersek 2013-11-21 09:01:02 EST
OK, this one in turn depends on bug 971933.
Comment 3 Eric Blake 2013-11-21 17:36:08 EST
Is there any reason that no one has proposed this enhancement upstream?
Comment 4 Laszlo Ersek 2013-11-21 17:43:48 EST
Please see blocked bug 895041 comment 1. I have not been around at that time (ie. when the RHEL-6 commit was made); I assume the idea had been raised on qemu-devel but likely went nowhere.
Comment 8 Miroslav Rezanina 2013-11-28 02:36:10 EST
Fix included in qemu-kvm-1.5.3-20.el7
Comment 10 Jun Li 2013-12-15 23:24:32 EST
Reproduce this bug:
Version-Release number of selected component (if applicable):
qemu-kvm-1.0-17.1.el7.x86_64

Steps as followings:
1, Boot a guest with /dev/sdc(a usb storage on host).
# /usr/bin/qemu-kvm -M pc -cpu host -enable-kvm -m 4G -smp 4,sockets=2,cores=2,threads=1 -device virtio-scsi-pci,bus=pci.0,addr=0x5,id=scsi0 -drive file=/home/juli/RHEL-7.0-20131127.1.qcow2,if=none,id=drive-scsi0-0-0,media=disk,cache=none,format=qcow2,werror=stop,rerror=stop,aio=native -device scsi-hd,drive=drive-scsi0-0-0,bus=scsi0.0,scsi-id=0,lun=0,id=juli,bootindex=1 \
-drive file=/dev/sdb,if=none,id=drive-virtio-disk1,format=raw,cache=none,werror=stop,rerror=stop,aio=native \
-device virtio-blk-pci,scsi=on,bus=pci.0,addr=0x6,drive=drive-virtio-disk1,id=virtio-disk1,bootindex=2 \
-spice port=5932,disable-ticketing -k en-us -vga qxl -global qxl-vga.vram_size=67108864 -monitor stdio -device virtio-balloon-pci,id=ballooning -qmp tcp:0:4445,server,nowait -global pvpanic.ioport=0x0505

2, do the following dd operation inside guest.
# dd if=/dev/urandom of=/dev/vda bs=1M

3, unplug usb storage from host.

Actual Results:
{"timestamp": {"seconds": 1387167341, "microseconds": 880905}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 883735}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 883953}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 884091}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 884237}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 884316}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 884394}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 884532}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 884611}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 884857}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 884987}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 885149}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 885281}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 885443}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 885574}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 885728}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 885862}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 886008}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 886227}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 886308}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 886387}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 886520}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 886599}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 886722}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 886872}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 887003}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 887131}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 887210}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 887297}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 887417}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 887516}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 887768}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 887900}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 888047}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 888182}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 888330}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 888595}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 888731}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 888912}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 889059}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 889225}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 889352}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 889548}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 889718}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 889886}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 890013}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 890150}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 890230}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 890442}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 890517}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 890592}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 890770}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 890847}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 890940}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 891089}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 891163}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 891237}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 891375}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 891450}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 891524}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 891674}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 891759}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 891834}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 891977}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 892051}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 892125}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 892238}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 892322}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 892409}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 892514}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 892593}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 892678}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 892816}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 892894}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 892973}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 893155}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 893241}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 893329}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 893429}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 893509}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 893587}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 893704}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 893836}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 894036}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 894117}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 894273}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 894353}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 894472}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 894615}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 894756}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 894906}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 895002}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 895147}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 895241}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 895335}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 895424}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 895504}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 895944}, "event": "STOP"}
{"timestamp": {"seconds": 1387167341, "microseconds": 896097}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 896202}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 896373}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 896463}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 896552}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 896672}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 896761}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 896849}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 896936}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 897030}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 897134}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 897222}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 897310}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 897398}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387167341, "microseconds": 897484}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "operation": "write", "action": "stop"}}
----
QMP give I/O error, but no error reason for BLOCK_IO_ERROR event.

---------------------------------------------
Verify this bug:
Version-Release number of selected component (if applicable):
qemu-kvm-1.5.3-21.el7.x86_64

Steps as followings:
1, Boot a guest with /dev/sdc(a usb storage on host).
# /usr/libexec/qemu-kvm -M q35 -cpu host -enable-kvm -m 4G -smp 4,sockets=2,cores=2,threads=1 -device virtio-scsi-pci,bus=pcie.0,addr=0x5,id=scsi0 -drive file=/home/juli/RHEL-7.0-20131127.1.qcow2,if=none,id=drive-scsi0-0-0,media=disk,cache=none,format=qcow2,werror=stop,rerror=stop,aio=native -device scsi-hd,drive=drive-scsi0-0-0,bus=scsi0.0,scsi-id=0,lun=0,id=juli,bootindex=1  \
-device ioh3420,bus=pcie.0,id=root.0 -device i82801b11-bridge,bus=root.0,id=bridge1 \
-device ich9-usb-uhci1,id=usb1,bus=bridge1,addr=0x1 \
-drive file=/dev/sdc,if=none,id=drive-virtio-disk1,format=raw,cache=none,werror=stop,rerror=stop,aio=native \
-device virtio-blk-pci,scsi=on,bus=bridge1,addr=0x6,drive=drive-virtio-disk1,id=virtio-disk1 \
-netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mq=on,vectors=17,id=net0,mac=00:1a:4a:42:0b:38,bus=pcie.0 -spice port=5932,disable-ticketing -k en-us -vga qxl -global qxl-vga.vram_size=67108864 -monitor stdio -device virtio-balloon-pci,id=ballooning -qmp tcp:0:4445,server,nowait -global pvpanic.ioport=0x0505

2, do the following dd operation inside guest.
# dd if=/dev/urandom of=/dev/vda bs=1M

3, unplug usb storage from host.

Actual Results:
{"timestamp": {"seconds": 1387164400, "microseconds": 520786}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 530236}, "event": "STOP"}
{"timestamp": {"seconds": 1387164400, "microseconds": 530410}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 530573}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 530741}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 530903}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 531061}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 531192}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 531322}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 531452}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 531581}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 531711}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 531848}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 531979}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 532110}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 532242}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 532372}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 532503}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 532634}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 532799}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 532929}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 533061}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 533191}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 533322}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 533453}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 533583}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 533713}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 533848}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 533979}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 534110}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 534241}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 534372}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 534503}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 534634}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 534806}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 534933}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 535059}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 535184}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 535311}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 535454}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 535580}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 535717}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 535857}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 535978}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 536096}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 536271}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 536389}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 536508}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 536625}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
{"timestamp": {"seconds": 1387164400, "microseconds": 536746}, "event": "BLOCK_IO_ERROR", "data": {"device": "drive-virtio-disk1", "__com.redhat_debug_info": {"message": "Input/output error", "errno": 5}, "__com.redhat_reason": "eio", "operation": "write", "action": "stop"}}
-------

Based on the above test, this bug has been verified.
Comment 12 Ludek Smid 2014-06-13 05:22:43 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.